Bug 109375 - Xserver crashes when logging out of gnome session
Summary: Xserver crashes when logging out of gnome session
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-07 10:35 UTC by Gérard Milmeister
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 23:21:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gérard Milmeister 2003-11-07 10:35:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030 Galeon/1.3.10

Description of problem:
When I log out of a GNOME session, I get a blank screen with
only the cross cursor in it. After that everything hangs.
I can however do CTRL-ALT-BS, and gdm restarts properly.
I am using the NVIDIA driver 4496.

Version-Release number of selected component (if applicable):
gdm-2.4.4.5-1

How reproducible:
Always

Steps to Reproduce:
1. Login GNOME session
2. Log out the normal way


Additional info:

Comment 1 Frédérik Bilhaut 2003-12-09 08:14:07 UTC
I experienced the same problem, with NVidia cards, but only with
Xinerama enabled. The same problem as described above happens with
XFree's default driver and NVidia's one. The only way I found to
unlock the machine is to ssh from another machine and reboot. 

Note that the problem happens (on my machine) :

  - Only when logging out from KDE or Gnome. Killing the X server with
Ctrl+Alt+Backspace returns correctly to GDM. Lauching a "terminal
only" session and logging out from the terminal also works well (as
long as Gnome or KDE isn't launched from the terminal).

  - Only when using Xinerama. I have three displays, and everything
works very well as long as Xinerama is disabled (three distinct displays).

  - With GDM and KDM as well.

  - With XFree's default driver and NVidia's one as well.

Here is my configuration :

AGP NVIDIA GeForce 2 MX
PCI NVIDIA TNT2 (1)
PCI NVIDIA TNT2 (2)
Intel Celeron on MSI motherboard


Comment 2 Warren Togami 2004-11-27 23:21:57 UTC
Closing due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.